package goSkipList

import "testing"

func Test_skiplist(t *testing.T) {
	list := NewSkipList()

	list.Put(1, 1)
	list.Put(2, 2)

	list.Print()

	list.Delete(1)
	list.Delete(2)
	
	list.Put(1, 1)
	list.Put(2, 2)
	list.Put(3, 1)
	list.Put(4, 2)
	list.Put(5, 1)
	list.Put(6, 2)

	list.Print()

	t.Error(list.Get(1))
	t.Error(list.Get(2))

	t.Error(list.Range(1,6))
}
